%define	name	libol
%define	version	0.3.16
%define	release	2mdk

%define major	0
%define libname	%mklibname ol %{major}

Summary:	Nonblocking I/O and OO library
Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://www.balabit.hu/downloads/libol/0.3/
Source0:	http://www.balabit.hu/downloads/libol/0.3/%{name}-%{version}.tar.gz
Source1:	http://www.balabit.hu/downloads/libol/0.3/%{name}-%{version}.tar.gz.asc
License:	GPL
Group:		System/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Nonblocking I/O and OO library. It is needed to build syslog-ng,
the new generation syslog.

%package -n	%{libname}
Group:		Development/Other
License:	GPL
Summary:	Nonblocking I/O and OO library. This package contains the libraries

%description -n	%{libname}
Nonblocking I/O and OO library. It is needed to build syslog-ng,
the new generation syslog.

%package -n	%{libname}-devel
Group:		Development/Other
License:	GPL
Summary:	Nonblocking I/O and OO library. Devel files
Requires:	%{libname} = %{version}-%{release}
Provides:	libol-devel = %{version}-%{release}

%description -n	%{libname}-devel
Nonblockin I/O and OO library. It is needed to build syslog-ng,
the new generation syslog.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
rm -f $RPM_BUILD_ROOT%{_bindir}/make_class

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*so.*

%files -n %{libname}-devel
%defattr (-,root,root)
%{_bindir}/*
%{_includedir}/libol/
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/libol.so

%changelog
* Tue Jul 12 2005 Herton Ronaldo Krzesinski <herton@mandriva.com> 0.3.16-2mdk
- Fix some things pointed out by rpmlint.

* Fri Jul 08 2005 Herton Ronaldo Krzesinski <herton@mandriva.com> 0.3.16-1mdk
- New upstream version: 0.3.16.

* Wed Sep 22 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.3.14-2mdk
- get rid of scsh dependency by dropping %%{_bindir}/make_class

* Mon Sep 20 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.3.14-1mdk
- 0.3.14
- cleanups

* Mon Feb 23 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.2.23-3mdk
- rebuild

* Mon Jan 27 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.2.23-2mdk
- rebuild

* Wed May 29 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.2.23-2mdk
- back to 0.2.23 since we need it for stable syslog ng ( sorry )
- recompile against gcc3.1

* Mon Aug 20 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.2.23-1mdk
- updated to 0.2.23

* Wed Jan 17 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.2.20-1mdk
- used srpm from Daniel Serodio <dserodio@email.com> 
	- First spec file for Mandrake distribution, based on skelet.spec
  	from MandrakeSoft
- make compliant to library policy
